# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Session.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(FileHandle.pm) perl(Kwiki/Plugin.pm) perl(Test/More.pm) perl(YAML.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Kwiki-Session
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Session support in your Kwiki plugin.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GU/GUGOD/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This class help out when a Kwiki plugin writer wants session support.  It has
only one method called "load", which will automatically recover the correct
session id, and create one if necessary. "load" method returns a
`CGI::Session' object, so please read the documentation in CGI::Session in
order to use this object.

Please that, this module itself is also a kwiki plugin, and has to be installed
to your kwiki site if you want your own module to use it very easily. If you
put "Kwiki::Session" in your "plugins" file, you can just use this line
to retrieve your session:

    my $session = $self->hub->session->load;

Otherwise, it would take like this long to load it:

    sub init {
        $self->hub->config->add_field('session' => 'Kwiki::Session');
    }

For simple purpose, just put "Kwiki::Session" into your "plugins" file. It
doesn't provide any extra actions or widgets or any templates, just convienent
access programming interface.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/K*

%changelog
* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

